aboutsummaryrefslogtreecommitdiff
path: root/t/t7600-merge.sh
diff options
context:
space:
mode:
authorJeff King <peff@peff.net>2008-03-12 17:32:17 -0400
committerJunio C Hamano <gitster@pobox.com>2008-03-13 00:57:52 -0700
commitaadbe44f883859536c5320e0ac1d6ed122c45671 (patch)
tree5552c7d0999106d0198ed59403b21dcc1c5111e6 /t/t7600-merge.sh
parente85fe4d85bc7654af20ccf8054ab6922665405e5 (diff)
downloadgit-aadbe44f883859536c5320e0ac1d6ed122c45671.tar.gz
git-aadbe44f883859536c5320e0ac1d6ed122c45671.tar.xz
grep portability fix: don't use "-e" or "-q"
System V versions of grep (such as Solaris /usr/bin/grep) don't understand either of these options. git's usage of "grep -e pattern" fell into one of two categories: 1. equivalent to "grep pattern". -e is only useful here if the pattern begins with a "-", but all of the patterns are hardcoded and do not begin with a dash. 2. stripping comments and blank lines with grep -v -e "^$" -e "^#" We can fortunately do this in the affirmative as grep '^[^#]' Uses of "-q" can be replaced with redirection to /dev/null. In many tests, however, "grep -q" is used as "if this string is in the expected output, we are OK". In this case, it is fine to just remove the "-q" entirely; it simply makes the "verbose" mode of the test slightly more verbose. Signed-off-by: Jeff King <peff@peff.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t7600-merge.sh')
-rwxr-xr-xt/t7600-merge.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t7600-merge.sh b/t/t7600-merge.sh
index 5d166280c..590505bea 100755
--- a/t/t7600-merge.sh
+++ b/t/t7600-merge.sh
@@ -371,7 +371,7 @@ test_expect_success 'override config option -n' '
git merge --summary c2 >diffstat.txt &&
verify_merge file result.1-5 msg.1-5 &&
verify_parents $c1 $c2 &&
- if ! grep -e "^ file | *2 +-$" diffstat.txt
+ if ! grep "^ file | *2 +-$" diffstat.txt
then
echo "[OOPS] diffstat was not generated"
fi
@@ -386,7 +386,7 @@ test_expect_success 'override config option --summary' '
git merge -n c2 >diffstat.txt &&
verify_merge file result.1-5 msg.1-5 &&
verify_parents $c1 $c2 &&
- if grep -e "^ file | *2 +-$" diffstat.txt
+ if grep "^ file | *2 +-$" diffstat.txt
then
echo "[OOPS] diffstat was generated"
false